/* --COPYRIGHT--,BSD
 * Copyright (c) 2016, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
//#############################################################################
// TI Release: 2.0.0.00
// Release Date: Tuesday, December 20, 2016 2:00 PM
//#############################################################################
#ifndef \
    MSP_EXP432P401R_CAPTIVATE_PHONEPANEL_BOOSTXL_K350QVG_S1_I2C_LCD_CONFIG_H_
#define \
    MSP_EXP432P401R_CAPTIVATE_PHONEPANEL_BOOSTXL_K350QVG_S1_I2C_LCD_CONFIG_H_

#include "grlib.h"
#include "imageButton.h"
#include "Demo.h"

//****************************************************************************************
// Defines
//****************************************************************************************
#define SENSOR_SCAN_DELAY       500

#define NUMERIC_KEYPAD_COLUMN1_X        5
#define NUMERIC_KEYPAD_COLUMN2_X        45
#define NUMERIC_KEYPAD_COLUMN3_X        85
#define NUMERIC_KEYPAD_ROW1_Y   75
#define NUMERIC_KEYPAD_ROW2_Y   115
#define NUMERIC_KEYPAD_ROW3_Y   155
#define NUMERIC_KEYPAD_ROW4_Y   195

#define GUARD_CHANNEL_ACTIVE_TEXT_XMIN          40
#define GUARD_CHANNEL_ACTIVE_TEXT_XMAX          280
#define GUARD_CHANNEL_ACTIVE_TEXT_YMIN          85
#define GUARD_CHANNEL_ACTIVE_TEXT_YMAX          130

#define GUARD_CHANNEL_ACTIVE_TEXT_XSTART        159
#define GUARD_CHANNEL_ACTIVE_TEXT_YSTART        105

typedef struct Slider_PositionIndicatorV
{
    int32_t xMin;
    int32_t xMax;
    int32_t y;
    int32_t height;
} Slider_PositionIndicatorV;

//****************************************************************************************
// Globals
//****************************************************************************************
extern Slider_PositionIndicatorV VolumeSlider_positionIndicator;
extern Slider_PositionIndicatorV GeneralPurposeSlider_positionIndicator;

//Phone Panel Buttons
extern Graphics_ImageButton _1_Key;
extern Graphics_ImageButton _2_Key;
extern Graphics_ImageButton _3_Key;
extern Graphics_ImageButton _4_Key;
extern Graphics_ImageButton _5_Key;
extern Graphics_ImageButton _6_Key;
extern Graphics_ImageButton _7_Key;
extern Graphics_ImageButton _8_Key;
extern Graphics_ImageButton _9_Key;
extern Graphics_ImageButton _Star_Key;
extern Graphics_ImageButton _0_Key;
extern Graphics_ImageButton _Pound_Key;
extern Graphics_ImageButton *numericKeypad[12];

extern Graphics_ImageButton EndCall_Key;
extern Graphics_ImageButton Headset_Key;
extern Graphics_ImageButton Mute_Key;
extern Graphics_ImageButton Speaker_Key;
extern Graphics_ImageButton *modeKeypad[4];

extern Graphics_ImageButton Volume_Slider;
extern Graphics_ImageButton General_Slider;

extern Graphics_Rectangle proximity;
extern Graphics_Rectangle GuardChannel_textBackground;

// Graphic library context
extern Graphics_Context g_sContext;

//****************************************************************************************
// Function Prototypes
//****************************************************************************************
extern void LCD_init(void);
extern void LCD_drawNumKeypad(Demo_ButtonTouchType* numButtons);
extern void LCD_drawModeKeypad(Demo_ButtonTouchType* modeButtons);
extern void LCD_drawWheelButton(Demo_ButtonTouchType* wheelButton);
extern void LCD_drawVolumeSlider(Demo_SliderAndWheelType* volumeSlider);
extern void LCD_drawGPSlider(Demo_SliderAndWheelType* gpSlider);
extern void LCD_drawScrollWheel(Demo_SliderAndWheelType* scrollWheel);
extern void LCD_drawGuardChannel(Demo_GuardChannelState* guard);
extern void LCD_drawSavedState(Demo_ButtonTouchType* modeButtons,
                               Demo_SliderAndWheelType* volumeSlider,
                               Demo_SliderAndWheelType* gpSlider);

#endif /* MSP_EXP432P401R_CAPTIVATE_PHONEPANEL_BOOSTXL_K350QVG_S1_I2C_LCD_CONFIG_H_ */
