/* --COPYRIGHT--,BSD
 * Copyright (c) 2016, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
/* Copyright (c) 2015, Texas Instruments Incorporated
   All rights reserved.

   Redistribution and use in source and binary forms, with or without
   modification, are permitted provided that the following conditions
   are met:

 *  Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

 *  Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

 *  Neither the name of Texas Instruments Incorporated nor the names of
   its contributors may be used to endorse or promote products derived
   from this software without specific prior written permission.

   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
   PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
   PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
   OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
   WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
   OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
   EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.*/

#include "grlib.h"

static const uint8_t pixel_Slider_Volume4BPP_COMP_RLE4[] =
{
    0x00, 0x08, 0x00, 0x0e, 0x0c, 0x00, 0xf6, 0xf6, 0xf6, 0x66, 0x28, 0xb6,
    0x1c, 0xe6, 0x1c, 0x26, 0x1c, 0x5e, 0x2c, 0x16, 0x0c, 0xfe, 0x1c, 0x16,
    0x0c, 0xfe, 0xfe, 0x7e, 0x06, 0x0e, 0x3d, 0x1e, 0x00, 0x0e, 0x00, 0x08,
    0x0e, 0x06, 0xb8, 0x16, 0x18, 0xf6, 0x76, 0x3c, 0x3e, 0x0c, 0x6e, 0x16,
    0x1c, 0x36, 0x0c, 0x1e, 0x1c, 0x1e, 0x0c, 0x9e, 0x1c, 0x16, 0x1c, 0x06,
    0x3c, 0x2e, 0x3c, 0x36, 0x0c, 0xfe, 0xee, 0x46, 0x2c, 0xfe, 0x5e, 0x0c,
    0x1e, 0x00, 0x06, 0x0e, 0x08, 0x00, 0x0c, 0x18, 0x00, 0x08, 0x00, 0xf8,
    0xf0, 0xf0, 0xf0, 0x00, 0x68, 0x70, 0x28, 0xf0, 0x70, 0x78, 0xa0, 0x18,
    0xc0, 0x28, 0xa0, 0x18, 0x20, 0x18, 0x40, 0x28, 0x0e, 0x0d, 0x08, 0x0e,
    0x1f, 0x0a, 0x0f, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0x4f, 0x1a, 0x3f, 0x30, 0x1f, 0x10, 0x06, 0x00, 0x18, 0x80,
    0x48, 0xf0, 0xf0, 0xf0, 0xf0, 0x50, 0x68, 0xa0, 0x38, 0xb0, 0x78, 0x70,
    0x18, 0xf0, 0x50, 0x08, 0x60, 0x0a, 0x0f, 0x08, 0x2e, 0x1f, 0x0e, 0x16,
    0x00, 0xf8, 0xf6, 0x66, 0xf8, 0x08, 0x8c, 0x56, 0x0c, 0x76, 0x1e, 0x7c,
    0x3e, 0x1c, 0xfe, 0xfe, 0x4e, 0x2d, 0x5e, 0xfd, 0x1d, 0x0e, 0x16, 0x0c,
    0x0e, 0x1d, 0x06, 0x0f, 0x09, 0x06, 0x0e, 0x10, 0x1f, 0x00, 0x0e, 0x00,
    0x0e, 0x56, 0x38, 0x56, 0xf8, 0x98, 0x56, 0x28, 0x66, 0x18, 0x36, 0x0c,
    0x06, 0x38, 0x06, 0x0c, 0x1e, 0x7c, 0x86, 0x2c, 0x16, 0x0e, 0xac, 0xce,
    0x0c, 0x36, 0x1c, 0x76, 0x7e, 0x0c, 0x6e, 0x4c, 0x06, 0x08, 0x06, 0x0e,
    0x18, 0x06, 0x0c, 0x1e, 0x08, 0x1f, 0x00, 0x08, 0x16, 0x1f, 0x0c, 0x06,
    0x18, 0x46, 0xf8, 0xc8, 0x26, 0x58, 0xc6, 0x48, 0x26, 0x0e, 0x06, 0x38,
    0x06, 0x3c, 0x46, 0x0c, 0x66, 0x08, 0x16, 0x4c, 0xf6, 0x76, 0x1e, 0x0c,
    0x16, 0x1c, 0x2e, 0x2c, 0x8e, 0x1c, 0x4e, 0x0c, 0x6e, 0x06, 0x08, 0x00,
    0x08, 0x00, 0x18, 0x00, 0x08, 0x06, 0x08, 0x1f, 0x00, 0x0e, 0x00, 0x08,
    0x1f, 0x00, 0x06, 0x00, 0x08, 0x16, 0x00, 0x08, 0x00, 0x06, 0x00, 0x08,
    0x00, 0x06, 0x00, 0x0e, 0x20, 0x06, 0x0e, 0x10, 0x0c, 0x00, 0x18, 0x00,
    0x0c, 0x18, 0x10, 0x08, 0x10, 0x18, 0x00, 0x0e, 0x10, 0x06, 0x00, 0x18,
    0x00, 0x08, 0x16, 0x08, 0x16, 0x08, 0x00, 0x08, 0x06, 0x18, 0x16, 0x1c,
    0x06, 0x18, 0x16, 0x08, 0x16, 0x48, 0x0e, 0x18, 0x06, 0x1e, 0x08, 0x0c,
    0x28, 0x1e, 0x08, 0x0e, 0x08, 0x06, 0x08, 0x0c, 0x0e, 0x00, 0x0c, 0x0e,
    0x18, 0x0c, 0x00, 0x06, 0x0e, 0x16, 0x1c, 0x08, 0x0e, 0x0c, 0x18, 0x0e,
    0x0c, 0x3e, 0x06, 0x00, 0x0e, 0x00, 0x1e, 0x00, 0x0e, 0x00, 0x0d, 0x06,
    0x0d, 0x06, 0x08, 0x06, 0x0c, 0x06, 0x08, 0x0e, 0x0c, 0x0e, 0x28, 0x0d,
    0x0e, 0x00, 0x0e, 0x78, 0x00, 0x26, 0x00, 0x08, 0x06, 0x00, 0x18, 0x00,
    0x08, 0x00, 0x1f, 0x00, 0x1f, 0x08, 0x10, 0x06, 0x1f, 0x00, 0x02, 0x1f,
    0x00, 0x08, 0x1f, 0x01, 0x03, 0x01, 0x0a, 0x15, 0x0e, 0x08, 0x05, 0x0f,
    0x01, 0x08, 0x00, 0x08, 0x1f, 0x08, 0x00, 0x15, 0x08, 0x05, 0x0f, 0x08,
    0x00, 0x01, 0x0a, 0x0f, 0x02, 0x01, 0x0f, 0x09, 0x0a, 0x0f, 0x58, 0x16,
    0x08, 0x16, 0x10, 0x08, 0xf6, 0x08, 0x26, 0x08, 0x0c, 0x1e, 0x00, 0x06,
    0x08, 0x0e, 0x06, 0x0e, 0x0d, 0x00, 0x06, 0x0d, 0x08, 0x06, 0x08, 0x0e,
    0x18, 0x0c, 0x0e, 0x06, 0x3e, 0x08, 0x00, 0x1e, 0x18, 0x0e, 0x06, 0x0e,
    0x06, 0x0d, 0x00, 0x0e, 0x06, 0x0e, 0x06, 0x08, 0x06, 0x2e, 0x06, 0x00,
    0x0d, 0x00, 0x0d, 0x00, 0x0e, 0x00, 0x0e, 0x06, 0x00, 0x06, 0x0d, 0x00,
    0x06, 0x0e, 0x18, 0x06, 0x18, 0x00, 0x06, 0x80, 0x06, 0x0f, 0x09, 0x5f,
    0x0a, 0x2f, 0x0a, 0x0f, 0x00, 0x1f, 0x08, 0x00, 0x08, 0x06, 0x0a, 0x0f,
    0x06, 0x02, 0x1f, 0x08, 0x00, 0x0f, 0x05, 0x00, 0x01, 0x0a, 0x2f, 0x00,
    0x03, 0x1f, 0x01, 0x10, 0x01, 0x0f, 0x05, 0x08, 0x02, 0x0f, 0x02, 0x03,
    0x1f, 0x00, 0x0e, 0x04, 0x0f, 0x01, 0x00, 0x05, 0x0a, 0x2f, 0x10, 0x08,
    0x06, 0x18, 0x36, 0x08, 0x10, 0x08, 0x76, 0x1c, 0x26, 0x0c, 0x06, 0x18,
    0x26, 0x00, 0x0d, 0x00, 0x0e, 0x08, 0x06, 0x0e, 0x00, 0x08, 0x00, 0x08,
    0x0d, 0x00, 0x0c, 0x0e, 0x00, 0x0e, 0x06, 0x08, 0x0c, 0x08, 0x0e, 0x0c,
    0x06, 0x00, 0x08, 0x0c, 0x1e, 0x0d, 0x00, 0x08, 0x06, 0x0d, 0x08, 0x06,
    0x08, 0x00, 0x0d, 0x00, 0x0c, 0x06, 0x0c, 0x06, 0x0c, 0x0e, 0x06, 0x00,
    0x1e, 0x06, 0x28, 0x06, 0x0c, 0x16, 0x0e, 0x08, 0x00, 0x06, 0x00, 0x18,
    0x00, 0x18, 0x06, 0x1f, 0x0a, 0x8f, 0x0a, 0x0f, 0x09, 0x6f, 0x0a, 0x2f,
    0x0c, 0x1f, 0x08, 0x00, 0x08, 0x00, 0x0f, 0x0a, 0x08, 0x02, 0x19, 0x00,
    0x05, 0x0f, 0x01, 0x02, 0x0f, 0x05, 0x00, 0x01, 0x0f, 0x05, 0x08, 0x0f,
    0x01, 0x00, 0x0d, 0x08, 0x05, 0x0f, 0x03, 0x0e, 0x02, 0x0a, 0x02, 0x01,
    0x1f, 0x06, 0x00, 0x0f, 0x0a, 0x01, 0x02, 0x0f, 0x02, 0x00, 0x06, 0x10,
    0x0e, 0x08, 0x06, 0x08, 0x00, 0x26, 0x08, 0x06, 0x18, 0x26, 0x08, 0xb6,
    0x28, 0x16, 0x0c, 0x08, 0x0c, 0x0d, 0x06, 0x08, 0x00, 0x0d, 0x0e, 0x18,
    0x0c, 0x08, 0x00, 0x0c, 0x06, 0x0d, 0x18, 0x0e, 0x08, 0x06, 0x0c, 0x08,
    0x0e, 0x0d, 0x1e, 0x00, 0x08, 0x1d, 0x10, 0x0d, 0x00, 0x0e, 0x16, 0x0e,
    0x10, 0x18, 0x00, 0x0e, 0x06, 0x0e, 0x18, 0x00, 0x08, 0x00, 0x08, 0x00,
    0x08, 0x00, 0x0f, 0x0a, 0x4f, 0x0a, 0x0f, 0x09, 0x0f, 0x09, 0xff, 0x0f,
    0x0a, 0x1f, 0x0a, 0x4f, 0x00, 0x1f, 0x08, 0x10, 0x06, 0x1f, 0x00, 0x02,
    0x0f, 0x0a, 0x08, 0x0f, 0x05, 0x08, 0x0f, 0x04, 0x03, 0x06, 0x05, 0x0f,
    0x00, 0x02, 0x0a, 0x01, 0x20, 0x04, 0x0f, 0x03, 0x00, 0x0f, 0x05, 0x08,
    0x01, 0x1f, 0x08, 0x09, 0x01, 0x05, 0x01, 0x02, 0x0f, 0x09, 0x1f, 0x02,
    0x06, 0x18, 0x06, 0x08, 0x00, 0x16, 0x08, 0x00, 0x18, 0xc6, 0x0c, 0x08,
    0x16, 0x28, 0x06, 0x08, 0x06, 0x0d, 0x0e, 0x00, 0x06, 0x1d, 0x00, 0x06,
    0x08, 0x0e, 0x08, 0x0e, 0x06, 0x0e, 0x00, 0x06, 0x0c, 0x08, 0x26, 0x00,
    0x08, 0x00, 0x0e, 0x00, 0x06, 0x00, 0x0e, 0x08, 0x00, 0x0c, 0x00, 0x06,
    0x00, 0x08, 0x20, 0x28, 0x00, 0x0e, 0x0a, 0x9f, 0x0a, 0x0f, 0x0a, 0x1f,
    0x0a, 0x0f, 0x09, 0x5f, 0x09, 0x0a, 0x8f, 0x1a, 0x1f, 0x04, 0x1f, 0x07,
    0x3f, 0x09, 0x0f, 0x08, 0x1f, 0x08, 0x10, 0x0c, 0x07, 0x0f, 0x0e, 0x02,
    0x09, 0x0f, 0x00, 0x0a, 0x00, 0x02, 0x0a, 0x01, 0x00, 0x03, 0x0a, 0x0f,
    0x00, 0x01, 0x0f, 0x02, 0x08, 0x06, 0x03, 0x0a, 0x0f, 0x08, 0x0e, 0x09,
    0x05, 0x0e, 0x05, 0x01, 0x04, 0x0a, 0x0f, 0x03, 0x05, 0x01, 0x05, 0x1f,
    0x09, 0x0f, 0x03, 0x00, 0x26, 0x10, 0x16, 0x08, 0x00, 0x18, 0x96, 0x18,
    0x06, 0x0c, 0x08, 0x56, 0x08, 0x0e, 0x00, 0x0d, 0x06, 0x08, 0x10, 0x0d,
    0x00, 0x0c, 0x0e, 0x06, 0x0e, 0x0c, 0x00, 0x0e, 0x28, 0x0c, 0x38, 0x20,
    0x08, 0x06, 0x10, 0x08, 0x00, 0x2f, 0x0a, 0x0f, 0x0a, 0x0f, 0x0a, 0x2f,
    0x09, 0x1f, 0x0a, 0x1f, 0x09, 0x0f, 0x09, 0x4f, 0x1a, 0x09, 0x3f, 0x09,
    0x2f, 0x0a, 0xcf, 0x09, 0x4f, 0x0a, 0x0f, 0x0a, 0x1f, 0x07, 0x0c, 0x1f,
    0x08, 0x00, 0x08, 0x00, 0x1f, 0x00, 0x02, 0x2f, 0x05, 0x06, 0x03, 0x0f,
    0x01, 0x08, 0x03, 0x0f, 0x05, 0x08, 0x0f, 0x05, 0x18, 0x00, 0x05, 0x0f,
    0x05, 0x00, 0x01, 0x0f, 0x01, 0x02, 0x0a, 0x03, 0x05, 0x0f, 0x05, 0x03,
    0x05, 0x03, 0x0f, 0x01, 0x06, 0x00, 0x06, 0x1e, 0x00, 0x06, 0x28, 0x06,
    0x08, 0x00, 0x08, 0x00, 0x08, 0x06, 0x0c, 0x76, 0x48, 0x16, 0x48, 0x0c,
    0x06, 0x18, 0x06, 0x00, 0x16, 0x0c, 0x08, 0x10, 0x0d, 0x00, 0x28, 0x00,
    0x08, 0x0c, 0x00, 0x08, 0x0c, 0x10, 0x7f, 0x0a, 0x09, 0x1f, 0x09, 0x2f,
    0x0a, 0x0f, 0x0a, 0x1f, 0x09, 0x9f, 0x09, 0x1f, 0x0a, 0x4f, 0x09, 0x3f,
    0x09, 0xcf, 0x0a, 0x1f, 0x09, 0x2f, 0x07, 0x1f, 0x00, 0x1f, 0x08, 0x00,
    0x08, 0x00, 0x1a, 0x0c, 0x02, 0x2f, 0x03, 0x00, 0x02, 0x0f, 0x05, 0x02,
    0x05, 0x0f, 0x10, 0x0f, 0x09, 0x1f, 0x02, 0x01, 0x0f, 0x05, 0x03, 0x0f,
    0x09, 0x02, 0x01, 0x0f, 0x03, 0x05, 0x0f, 0x00, 0x0f, 0x05, 0x03, 0x0f,
    0x05, 0x21, 0x08, 0x00, 0x08, 0x16, 0x08, 0x16, 0x10, 0x06, 0x08, 0x06,
    0x1c, 0x86, 0x18, 0x00, 0x28, 0x20, 0x38, 0x10, 0x08, 0x00, 0x08, 0x00,
    0x08, 0x00, 0x1f, 0x0a, 0x6f, 0x0a, 0x3f, 0x0a, 0x5f, 0x0a, 0x4f, 0x0a,
    0x0f, 0x0a, 0x5f, 0x0a, 0x9f, 0x0a, 0x5f, 0x09, 0xff, 0x0f, 0x0a, 0x4f,
    0x0a, 0x2f, 0x09, 0x0f, 0x06, 0x1f, 0x08, 0x00, 0x06, 0x08, 0x0a, 0x0f,
    0x00, 0x02, 0x1f, 0x05, 0x00, 0x18, 0x01, 0x0f, 0x0a, 0x0f, 0x03, 0x00,
    0x2f, 0x09, 0x0f, 0x01, 0x03, 0x17, 0x0f, 0x09, 0x01, 0x0e, 0x05, 0x0f,
    0x03, 0x05, 0x0f, 0x00, 0x0f, 0x01, 0x03, 0x0f, 0x0a, 0x1f, 0x05, 0x08,
    0x0c, 0x00, 0x08, 0x00, 0x0d, 0x10, 0x06, 0x0e, 0x06, 0x0c, 0x26, 0x48,
    0x10, 0x0c, 0x00, 0x08, 0x0c, 0x10, 0x08, 0x30, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0x0f, 0x00, 0x1f, 0x08, 0x10, 0x06, 0x1f, 0x0c, 0x08, 0x00,
    0x08, 0x0e, 0x06, 0x0e, 0x06, 0x03, 0x11, 0x03, 0x08, 0x0e, 0x00, 0x08,
    0x00, 0x08, 0x00, 0x08, 0x00, 0x0e, 0x05, 0x0d, 0x08, 0x0d, 0x0e, 0x10,
    0x0e, 0x00, 0x16, 0x00, 0x0e, 0x08, 0x16, 0x00, 0x08, 0x00, 0x0c, 0x26,
    0x08, 0x00, 0x0e, 0x26, 0x00, 0x38, 0x40, 0x06, 0x2f, 0x0a, 0x2f, 0x1a,
    0x3f, 0x09, 0xff, 0xff, 0xff, 0xff, 0xff, 0x7f, 0x0a, 0x4f, 0x0a, 0x06,
    0x1f, 0x08, 0x00, 0x06, 0x00, 0x1f, 0x08, 0x00, 0x0e, 0x00, 0x0c, 0x06,
    0x00, 0x18, 0x00, 0x0e, 0x00, 0x0e, 0x00, 0x0d, 0x08, 0x0d, 0x10, 0x06,
    0x08, 0x16, 0x0c, 0x0d, 0x00, 0x18, 0x00, 0x0e, 0x0d, 0x00, 0x0d, 0x06,
    0x00, 0x06, 0x08, 0x00, 0x06, 0x0e, 0x06, 0x0e, 0x00, 0x08, 0x00, 0x08,
    0x06, 0x10, 0xdf, 0x09, 0x1f, 0x0a, 0x0f, 0x0a, 0x2f, 0x0a, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xbf, 0x09, 0x0f, 0x09, 0x0a, 0x1f, 0x06, 0x1f, 0x08,
    0x10, 0x08, 0x0f, 0x0a, 0x06, 0x00, 0x0c, 0x10, 0x0d, 0x08, 0x1e, 0x00,
    0x0e, 0x0d, 0x08, 0x0d, 0x10, 0x18, 0x0e, 0x06, 0x18, 0x00, 0x08, 0x06,
    0x08, 0x06, 0x00, 0x06, 0x00, 0x0c, 0x10, 0x06, 0x0e, 0x10, 0x1f, 0x09,
    0x3a, 0x1f, 0x09, 0xdf, 0x09, 0x0f, 0x1a, 0x0f, 0x09, 0x3f, 0x09, 0x1f,
    0x09, 0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0x0a, 0x1f, 0x07, 0x0f, 0x00,
    0x1f, 0x08, 0x00, 0x06, 0x0e, 0x0b, 0x0f, 0x08, 0x0e, 0x00, 0x03, 0x08,
    0x06, 0x00, 0x0c, 0x00, 0x0e, 0x00, 0x08, 0x0c, 0x00, 0x0c, 0x00, 0x08,
    0x00, 0x0c, 0x10, 0x08, 0x06, 0x30, 0x08, 0x0a, 0x0f, 0x07, 0x1f, 0x0a,
    0x2f, 0x09, 0x1f, 0x0a, 0x6f, 0x09, 0x0f, 0x09, 0xff, 0x19, 0x0f, 0x0a,
    0x2f, 0x1a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 0x0a, 0x1f, 0x00, 0x1f,
    0x08, 0x10, 0x08, 0x1f, 0x0e, 0x00, 0x0c, 0x08, 0x06, 0x08, 0x06, 0x00,
    0x08, 0x00, 0x0e, 0x00, 0x08, 0x00, 0x08, 0x06, 0x1f, 0x09, 0x0f, 0x0a,
    0x7f, 0x09, 0x0f, 0x09, 0x1f, 0x0a, 0x1f, 0x0a, 0x5f, 0x0a, 0x09, 0x4f,
    0x0a, 0x9f, 0x0a, 0x09, 0x0a, 0x0f, 0x0a, 0x1f, 0x09, 0x0f, 0x2a, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xcf, 0x0a, 0x2f, 0x06, 0x1f, 0x08, 0x00, 0x16,
    0x1a, 0x00, 0x1f, 0x09, 0x0a, 0x1f, 0x0a, 0x2f, 0x0a, 0x0f, 0x09, 0x0f,
    0x0a, 0x09, 0x5f, 0x0a, 0x3f, 0x0a, 0x2f, 0x0a, 0x1f, 0x1a, 0x4f, 0x09,
    0x4f, 0x0a, 0x04, 0x0f, 0x0a, 0xcf, 0x0a, 0x1f, 0x0a, 0x4f, 0x09, 0xff,
    0xff, 0xff, 0xff, 0xff, 0x9f, 0x0a, 0x4f, 0x00, 0x1f, 0x08, 0x20, 0x0f,
    0x09, 0x16, 0x00, 0x16, 0x00, 0x0e, 0x0c, 0x06, 0x00, 0x06, 0x0c, 0x18,
    0x06, 0x00, 0x28, 0x10, 0x06, 0x00, 0x0e, 0x08, 0x00, 0x08, 0x00, 0x0c,
    0x00, 0x06, 0x00, 0x08, 0x06, 0x08, 0x06, 0x08, 0x06, 0x00, 0x06, 0x0e,
    0x00, 0x0c, 0x18, 0x10, 0x0c, 0x00, 0x0e, 0xa8, 0x06, 0x08, 0x06, 0x00,
    0x18, 0x06, 0x18, 0x06, 0x08, 0x10, 0x06, 0x0c, 0xf0, 0xf0, 0xf0, 0xf0,
    0xf0, 0x80, 0x0e, 0x08, 0x00, 0x18, 0x16, 0x1f, 0x08, 0x00, 0x08, 0x00,
    0x0f, 0x0a, 0x06, 0x00, 0x06, 0x00, 0xf8, 0x00, 0x38, 0x16, 0x08, 0x16,
    0x08, 0x00, 0x08, 0x16, 0x08, 0x86, 0xe8, 0x00, 0x48, 0x10, 0x28, 0x46,
    0x0c, 0x16, 0x08, 0x36, 0x18, 0x0c, 0x18, 0x06, 0x08, 0x2c, 0x56, 0x08,
    0xf6, 0x0c, 0x06, 0x18, 0x06, 0x0c, 0x06, 0x7c, 0x16, 0x0c, 0x2e, 0x0c,
    0x06, 0xae, 0x1c, 0xce, 0x0c, 0x06, 0x1e, 0x0c, 0x00, 0x1f, 0x00, 0x06,
    0x00, 0x0c, 0x09, 0x0f, 0x0c, 0x0e, 0x08, 0x00, 0xf8, 0x08, 0x16, 0x08,
    0x66, 0x18, 0x16, 0x08, 0xf6, 0x76, 0x18, 0x16, 0x68, 0x66, 0x28, 0x26,
    0x18, 0x16, 0x08, 0x0c, 0x06, 0x0e, 0x0c, 0xf6, 0x96, 0x18, 0xd6, 0x3c,
    0x26, 0x58, 0x76, 0x5e, 0x1c, 0x06, 0x0c, 0x26, 0x0e, 0x06, 0x08, 0x1f,
    0x00, 0x28, 0x0a, 0x0f, 0x10, 0x0c, 0x00, 0x78, 0xf0, 0xf0, 0x60, 0x08,
    0xf0, 0xf0, 0x10, 0x08, 0x10, 0x08, 0x00, 0x08, 0xd0, 0x18, 0xf0, 0xf0,
    0xf0, 0x80, 0x28, 0x00, 0x18, 0x00, 0x0f, 0x0a, 0x06, 0x0c, 0x18, 0x1f,
    0x0a, 0x0f, 0x09, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xaf, 0x00, 0x0e, 0x00, 0x06, 0x00, 0x18, 0x00, 0x0c, 0x88, 0xf0,
    0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xa0, 0x28, 0x90, 0x18, 0x30, 0x68,
    0x30, 0x18, 0x20, 0x28, 0x0c, 0x06, 0x08, 0x1e, 0x10, 0x0e, 0x0d, 0x00,
    0x06, 0x78, 0xc6, 0x18, 0x16, 0x18, 0xc6, 0x08, 0x36, 0x1c, 0x0e, 0x56,
    0x18, 0x0c, 0x36, 0x2c, 0xa6, 0x2c, 0x36, 0x08, 0x06, 0x1c, 0x0e, 0x0c,
    0xfe, 0x7e, 0x26, 0x1c, 0x26, 0x7c, 0x16, 0x0c, 0x2e, 0x0c, 0x06, 0xfe,
    0xee, 0x0d, 0x0c, 0x0d, 0x06, 0x0e, 0x08, 0x00, 0x08, 0x06, 0x00, 0x18,
    0x0c, 0xf8, 0x48, 0x20, 0x08, 0x10, 0x28, 0x00, 0x88, 0x10, 0x28, 0x26,
    0x18, 0x50, 0x26, 0x08, 0xf6, 0x26, 0x28, 0x00, 0x06, 0x1c, 0x0e, 0x3c,
    0xfe, 0x4e, 0x26, 0x1e, 0x26, 0x7c, 0x76, 0x7c, 0x66, 0x0c, 0x4e, 0x2c,
    0x56, 0x1e, 0x00, 0x0e,
};

static const uint32_t palette_Slider_Volume4BPP_COMP_RLE4[] =
{
    0x000000,       0x757575,       0x5c5c5c,       0x161616,
    0xf5f5f5,       0xeaeaea,       0x040404,       0xf7f7f7,
    0x020202,       0xfafafa,       0xfcfcfc,       0xf6f6f6,
    0x050505,       0x0c0c0c,       0x080808,       0xffffff
};

const Graphics_Image Slider_Volume4BPP_COMP_RLE4 =
{
    IMAGE_FMT_4BPP_COMP_RLE4,
    180,
    31,
    16,
    palette_Slider_Volume4BPP_COMP_RLE4,
    pixel_Slider_Volume4BPP_COMP_RLE4,
};
